# Generated from gliss-layout-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gliss-layout

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: A constraint based responsive grid system
License: MIT
URL: http://product.voxmedia.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby
BuildArch: noarch

%description
Gliss is a system that uses max-width and width to allow elements to fall on
different grids at different sizes instead of more traditional media queries.
This allows elements to fluidly change their size instead of snapping to a new
grid system at various breakpoints.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%license %{gem_instdir}/license.md
%{gem_instdir}/stylesheets
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/changelog.md
%doc %{gem_instdir}/readme.md

%changelog
* Tue Feb 08 2022 mockbuilder - 0.1.0-1
- Initial package
